[arch-commits] Commit in ntp/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sun Aug 17 02:17:40 EDT 2008


    Date: Sunday, August 17, 2008 @ 02:17:40
  Author: allan
Revision: 9331

upgpkg: ntp 4.2.4p4-6
    ncurses rebuild

Modified:
  ntp/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-17 06:17:14 UTC (rev 9330)
+++ PKGBUILD	2008-08-17 06:17:40 UTC (rev 9331)
@@ -2,7 +2,7 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=ntp
 pkgver=4.2.4p4
-pkgrel=5
+pkgrel=6
 pkgdesc="NTP (Network Time Protocol) tries to keep servers in sync"
 arch=(i686 x86_64)
 license=('custom')
@@ -23,7 +23,7 @@
   cd $startdir/src/$pkgname-$pkgver || return 1
 
   # configure
-  ac_cv_header_dns_sd_h=0 ./configure --prefix=/usr  || return 1
+  ac_cv_header_dns_sd_h=0 ./configure --prefix=/usr || return 1
 
   # build and install
   make || return 1
@@ -35,15 +35,15 @@
 
   # install launch scripts 
   mkdir -p $startdir/pkg/etc/rc.d || return 1
-  install -D -m755 $startdir/{ntpd,ntpdate} $startdir/pkg/etc/rc.d/ || return 1
+  install -D -m755 $startdir/src/{ntpd,ntpdate} $startdir/pkg/etc/rc.d/ || return 1
 
   # install man pages
   install -D -m644 $startdir/src/man/{ntpdate,ntptime,ntptrace,tickadj}.1 \
   	$startdir/pkg/usr/man/man1/ || return 1
 
   # install sample configs
-  install -D -m644 $startdir/ntp.conf $startdir/pkg/etc/ntp.conf || return 1
-  install -D -m644 $startdir/ntp-client.conf \
+  install -D -m644 $startdir/src/ntp.conf $startdir/pkg/etc/ntp.conf || return 1
+  install -D -m644 $startdir/src/ntp-client.conf \
   	$startdir/pkg/etc/conf.d/ntp-client.conf || return 1
 
   # create /var/lib/ntp
@@ -51,4 +51,6 @@
   touch $startdir/pkg/var/lib/ntp/.placeholder || return 1
 
   install -Dm644 $startdir/src/$pkgname-$pkgver/COPYRIGHT $startdir/pkg/usr/share/licenses/$pkgname/COPYRIGHT
+  
+  mv ${pkgdir}/usr/man ${pkgdir}/usr/share
 }




More information about the arch-commits mailing list